name:                qbar
version:             0.1.0.0
#github:              "githubuser/qbar"
license:             BSD3
author:              "Jens Nolte"
#maintainer:          "example@example.com"
copyright:           "2019 Jens Nolte"

extra-source-files:
- README.md
- ChangeLog.md

# Metadata used when publishing your package
# synopsis:            Short description of your package
# category:            Web

# To avoid duplicated efforts in documentation and dealing with the
# complications of embedding Haddock markup inside cabal files, it is
# common to point users to the README.md file.
#description:         Please see the README on GitHub at <https://github.com/githubuser/qbar#readme>

dependencies:
- base >= 4.7 && < 5
- aeson
- async
- attoparsec
- bytestring
- colour
- concurrent-extra
- directory
- filepath
- lens
- mtl
- network
- optparse-applicative
- pipes
- pipes-aeson
- pipes-concurrency
- pipes-network
- pipes-parse
- pipes-safe
- stm
- text
- time
- typed-process
- unix
- unordered-containers

default-extensions:
- OverloadedStrings
- NamedFieldPuns

ghc-options:
- -fwarn-unused-do-bind
- -fwarn-tabs
- -Wall
- -Werror
- -Wwarn=deprecations
- -O2

library:
  source-dirs: src
  other-modules:
  - Prelude
  - BasePrelude

executables:
  qbar:
    main:                Main.hs
    source-dirs:         app
    ghc-options:
    - -threaded
    - -rtsopts
    - -with-rtsopts=-N
    dependencies:
    - qbar

tests:
  qbar-test:
    main:                Spec.hs
    source-dirs:         test
    ghc-options:
    - -threaded
    - -rtsopts
    - -with-rtsopts=-N
    dependencies:
    - qbar
